aboutsummaryrefslogtreecommitdiffstats
path: root/README
diff options
context:
space:
mode:
authorPaul Rodger <paul@paulrodger.com>2002-03-31 05:01:04 +0000
committerPaul Rodger <paul@paulrodger.com>2002-03-31 05:01:04 +0000
commit2a67673c077c6a73134a9143d74e20a37e60bd44 (patch)
tree20e9294df8230a6d11d68f21e46273dc4abec984 /README
parent23e6f58c91d15f188a80b811167ecbb0e3da0763 (diff)
downloadarchivemail-2a67673c077c6a73134a9143d74e20a37e60bd44.tar.gz
archivemail-2a67673c077c6a73134a9143d74e20a37e60bd44.tar.bz2
archivemail-2a67673c077c6a73134a9143d74e20a37e60bd44.zip
Added example cron script and more info.
Diffstat (limited to 'README')
-rw-r--r--README43
1 files changed, 41 insertions, 2 deletions
diff --git a/README b/README
index 91906a9..9f679be 100644
--- a/README
+++ b/README
@@ -14,8 +14,47 @@ just the most recent messages.
'archivemail' can save a lot of disk space and will significantly reduce
overhead on your mail reader. The number of days before mail is considered
-'old' is up to you, but the default is 180 days.
+'old' is up to you, but the default is 180 days. To see the options
+archivemail supports, try running 'archivemail --help'.
'archivemail' currently works on mbox-format and maildir-format mailboxes,
and requires python v2.0 or greater. It also supports deleting old mail
-instead of archiving it.
+instead of archiving it with the '--delete' option.
+
+The best way to run archivemail is from cron. Giving the '-q' option to
+archivemail will make it quiet, only printing messages if something went
+wrong.
+
+archivemail is not exactly blazingly quick at the moment, but if you run it
+from cron you won't mind. Archiving from maildir mailboxes instead of 'mbox'
+is a lot quicker too, since we don't have to do to as much effort to delete
+mail from the original mailbox.
+
+Here is an example script I use for running archivemail from cron:
+__________________________________________________________________________
+
+#!/bin/sh
+#set -x
+set -e
+ARCMAIL="archivemail --output-dir=$HOME/Mail/Archive/ "
+
+$ARCMAIL --days 30 --delete $HOME/Mail/duplicates
+$ARCMAIL --days 90 $HOME/Mail/bugtraq \
+ $HOME/Mail/debian-devel \
+ $HOME/Mail/debian-mentors \
+ $HOME/Mail/debian-user \
+ $HOME/Mail/jobs \
+ $HOME/Mail/linux-kernel \
+ $HOME/Mail/python-list \
+ $HOME/Mail/spam \
+ $HOME/Mail/spam-l \
+$ARCMAIL $HOME/Mail/cm-melb \
+ $HOME/Mail/exsouthrock \
+ $HOME/Mail/received \
+ $HOME/Mail/sent \
+ $HOME/Mail/vim
+__________________________________________________________________________
+
+The archivemail website is at: http://archivemail.sourceforge.net/
+
+-- Paul Rodger <paul@paulrodger.com>